%define upstream_name Text-Iconv
%define upstream_version 1.7

Summary:	Text::Iconv perl module
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel >= 5.6.1
Url:		https://metacpan.org/release/%{upstream_name}

%{?perl_default_filter}

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install INSTALLDIRS=vendor

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes README
%dir %{perl_vendorarch}/Text
%{perl_vendorarch}/Text/Iconv.pm
%dir %{perl_vendorarch}/auto/Text
%dir %{perl_vendorarch}/auto/Text/Iconv
%{perl_vendorarch}/auto/Text/Iconv/autosplit.ix
%{perl_vendorarch}/auto/Text/Iconv/*.so
%{_mandir}/man3/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.700.0-14.mga9
+ Revision: 1862481
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.700.0-13.mga9
+ Revision: 1796126
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.700.0-12.mga9
+ Revision: 1727150
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.700.0-11.mga8
+ Revision: 1594765
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.700.0-10.mga8
+ Revision: 1529041
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.700.0-9.mga8
+ Revision: 1433015
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.700.0-8.mga7
+ Revision: 1293883
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 1.700.0-7.mga7
+ Revision: 1248192
- Rebuild for new perl 5.28.0

* Tue Oct 03 2017 tv <tv> 1.700.0-6.mga7
+ Revision: 1166958
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.700.0-5.mga7
+ Revision: 1149313
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.700.0-4.mga7
+ Revision: 1126788
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.700.0-3.mga6
+ Revision: 1034931
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.700.0-2.mga6
+ Revision: 958082
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.700.0-1.mga6
+ Revision: 852226
- Update spec

* Fri Jun 26 2015 tv <tv> 1.7-19.mga6
+ Revision: 845332
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 1.7-18.mga6
+ Revision: 842336
- rebuild for perl-5.22

* Tue Jun 23 2015 sander85 <sander85> 1.7-17.mga6
+ Revision: 841473
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.7-16.mga5
+ Revision: 741222
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.7-15.mga5
+ Revision: 736097
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.7-14.mga5
+ Revision: 686629
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.7-13.mga5
+ Revision: 631804
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.7-12.mga4
+ Revision: 525005
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.7-11.mga4
+ Revision: 431820
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.7-10.mga3
+ Revision: 374110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.7-9.mga3
+ Revision: 251228
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.7-8.mga2
+ Revision: 105047
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 1.7-7.mga1
+ Revision: 23786
- rebuild

* Mon Jan 17 2011 spuhler <spuhler> 1.7-6.mga1
+ Revision: 20836
- removed buildroot definition from .spec
+ jquelin <jquelin>
- imported package perl-Text-Iconv


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.7-6mdv2011.0
+ Revision: 564585
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.7-5mdv2011.0
+ Revision: 556167
- rebuild for perl 5.12

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.7-4mdv2010.1
+ Revision: 426595
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.7-3mdv2009.0
+ Revision: 224243
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.7-2mdv2008.1
+ Revision: 151323
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 1.7-1mdv2008.1
+ Revision: 100853
- update to new version 1.7

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6-1mdv2008.1
+ Revision: 98005
- update to new version 1.6

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2008.0
+ Revision: 77702
- update to new version 1.5


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:18:56 (54152)
- rebuild

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 19:16:31 (54147)
Import perl-Text-Iconv

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-3mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL
- use mkrel

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 1.4-2mdk
- Rebuild for new perl

* Tue Jul 20 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.4-1mdk
- 1.4

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3-1mdk
- 1.3

* Thu Aug 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2-6mdk
- Fix dir owners

